MediaSize.ISO (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.MediaSize.ISO class
Date: 2026-04-17

javax.print.attribute.standard

## Class MediaSize.ISO

- java.lang.Object
- - javax.print.attribute.standard.MediaSize.ISO

- Enclosing class:
    MediaSize

      public static final class MediaSize.ISO
      extends Object

  Class MediaSize.ISO includes `MediaSize` values for ISO media.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MediaSize` | `A0` Specifies the ISO A0 size, 841 mm by 1189 mm.
    `static MediaSize` | `A1` Specifies the ISO A1 size, 594 mm by 841 mm.
    `static MediaSize` | `A10` Specifies the ISO A10 size, 26 mm by 37 mm.
    `static MediaSize` | `A2` Specifies the ISO A2 size, 420 mm by 594 mm.
    `static MediaSize` | `A3` Specifies the ISO A3 size, 297 mm by 420 mm.
    `static MediaSize` | `A4` Specifies the ISO A4 size, 210 mm by 297 mm.
    `static MediaSize` | `A5` Specifies the ISO A5 size, 148 mm by 210 mm.
    `static MediaSize` | `A6` Specifies the ISO A6 size, 105 mm by 148 mm.
    `static MediaSize` | `A7` Specifies the ISO A7 size, 74 mm by 105 mm.
    `static MediaSize` | `A8` Specifies the ISO A8 size, 52 mm by 74 mm.
    `static MediaSize` | `A9` Specifies the ISO A9 size, 37 mm by 52 mm.
    `static MediaSize` | `B0` Specifies the ISO B0 size, 1000 mm by 1414 mm.
    `static MediaSize` | `B1` Specifies the ISO B1 size, 707 mm by 1000 mm.
    `static MediaSize` | `B10` Specifies the ISO B10 size, 31 mm by 44 mm.
    `static MediaSize` | `B2` Specifies the ISO B2 size, 500 mm by 707 mm.
    `static MediaSize` | `B3` Specifies the ISO B3 size, 353 mm by 500 mm.
    `static MediaSize` | `B4` Specifies the ISO B4 size, 250 mm by 353 mm.
    `static MediaSize` | `B5` Specifies the ISO B5 size, 176 mm by 250 mm.
    `static MediaSize` | `B6` Specifies the ISO B6 size, 125 mm by 176 mm.
    `static MediaSize` | `B7` Specifies the ISO B7 size, 88 mm by 125 mm.
    `static MediaSize` | `B8` Specifies the ISO B8 size, 62 mm by 88 mm.
    `static MediaSize` | `B9` Specifies the ISO B9 size, 44 mm by 62 mm.
    `static MediaSize` | `C3` Specifies the ISO C3 size, 324 mm by 458 mm.
    `static MediaSize` | `C4` Specifies the ISO C4 size, 229 mm by 324 mm.
    `static MediaSize` | `C5` Specifies the ISO C5 size, 162 mm by 229 mm.
    `static MediaSize` | `C6` Specifies the ISO C6 size, 114 mm by 162 mm.
    `static MediaSize` | `DESIGNATED_LONG` Specifies the ISO Designated Long size, 110 mm by 220 mm.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A0

          public static final MediaSize A0

      Specifies the ISO A0 size, 841 mm by 1189 mm.

    - #### A1

          public static final MediaSize A1

      Specifies the ISO A1 size, 594 mm by 841 mm.

    - #### A2

          public static final MediaSize A2

      Specifies the ISO A2 size, 420 mm by 594 mm.

    - #### A3

          public static final MediaSize A3

      Specifies the ISO A3 size, 297 mm by 420 mm.

    - #### A4

          public static final MediaSize A4

      Specifies the ISO A4 size, 210 mm by 297 mm.

    - #### A5

          public static final MediaSize A5

      Specifies the ISO A5 size, 148 mm by 210 mm.

    - #### A6

          public static final MediaSize A6

      Specifies the ISO A6 size, 105 mm by 148 mm.

    - #### A7

          public static final MediaSize A7

      Specifies the ISO A7 size, 74 mm by 105 mm.

    - #### A8

          public static final MediaSize A8

      Specifies the ISO A8 size, 52 mm by 74 mm.

    - #### A9

          public static final MediaSize A9

      Specifies the ISO A9 size, 37 mm by 52 mm.

    - #### A10

          public static final MediaSize A10

      Specifies the ISO A10 size, 26 mm by 37 mm.

    - #### B0

          public static final MediaSize B0

      Specifies the ISO B0 size, 1000 mm by 1414 mm.

    - #### B1

          public static final MediaSize B1

      Specifies the ISO B1 size, 707 mm by 1000 mm.

    - #### B2

          public static final MediaSize B2

      Specifies the ISO B2 size, 500 mm by 707 mm.

    - #### B3

          public static final MediaSize B3

      Specifies the ISO B3 size, 353 mm by 500 mm.

    - #### B4

          public static final MediaSize B4

      Specifies the ISO B4 size, 250 mm by 353 mm.

    - #### B5

          public static final MediaSize B5

      Specifies the ISO B5 size, 176 mm by 250 mm.

    - #### B6

          public static final MediaSize B6

      Specifies the ISO B6 size, 125 mm by 176 mm.

    - #### B7

          public static final MediaSize B7

      Specifies the ISO B7 size, 88 mm by 125 mm.

    - #### B8

          public static final MediaSize B8

      Specifies the ISO B8 size, 62 mm by 88 mm.

    - #### B9

          public static final MediaSize B9

      Specifies the ISO B9 size, 44 mm by 62 mm.

    - #### B10

          public static final MediaSize B10

      Specifies the ISO B10 size, 31 mm by 44 mm.

    - #### C3

          public static final MediaSize C3

      Specifies the ISO C3 size, 324 mm by 458 mm.

    - #### C4

          public static final MediaSize C4

      Specifies the ISO C4 size, 229 mm by 324 mm.

    - #### C5

          public static final MediaSize C5

      Specifies the ISO C5 size, 162 mm by 229 mm.

    - #### C6

          public static final MediaSize C6

      Specifies the ISO C6 size, 114 mm by 162 mm.

    - #### DESIGNATED_LONG

          public static final MediaSize DESIGNATED_LONG

      Specifies the ISO Designated Long size, 110 mm by 220 mm.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.